package com.ag.log;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * 消息订阅用户表
 * @TableName topic_user_col
 */
@TableName(value ="topic_user_col")
public class TopicUserCol implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 用户主键
     */
    private String userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 订阅频道ID
     */
    private String topicRespId;

    /**
     * 订阅频道名称
     */
    private String topicRespName;

    /**
     * 
     */
    private String createdBy;

    /**
     * 
     */
    private Date createdOn;

    /**
     * 
     */
    private String updatedBy;

    /**
     * 
     */
    private Date updatedOn;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 用户主键
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 用户主键
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 用户名
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 用户名
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 订阅频道ID
     */
    public String getTopicRespId() {
        return topicRespId;
    }

    /**
     * 订阅频道ID
     */
    public void setTopicRespId(String topicRespId) {
        this.topicRespId = topicRespId;
    }

    /**
     * 订阅频道名称
     */
    public String getTopicRespName() {
        return topicRespName;
    }

    /**
     * 订阅频道名称
     */
    public void setTopicRespName(String topicRespName) {
        this.topicRespName = topicRespName;
    }

    /**
     * 
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * 
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 
     */
    public Date getCreatedOn() {
        return createdOn;
    }

    /**
     * 
     */
    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    /**
     * 
     */
    public String getUpdatedBy() {
        return updatedBy;
    }

    /**
     * 
     */
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    /**
     * 
     */
    public Date getUpdatedOn() {
        return updatedOn;
    }

    /**
     * 
     */
    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TopicUserCol other = (TopicUserCol) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserName() == null ? other.getUserName() == null : this.getUserName().equals(other.getUserName()))
            && (this.getTopicRespId() == null ? other.getTopicRespId() == null : this.getTopicRespId().equals(other.getTopicRespId()))
            && (this.getTopicRespName() == null ? other.getTopicRespName() == null : this.getTopicRespName().equals(other.getTopicRespName()))
            && (this.getCreatedBy() == null ? other.getCreatedBy() == null : this.getCreatedBy().equals(other.getCreatedBy()))
            && (this.getCreatedOn() == null ? other.getCreatedOn() == null : this.getCreatedOn().equals(other.getCreatedOn()))
            && (this.getUpdatedBy() == null ? other.getUpdatedBy() == null : this.getUpdatedBy().equals(other.getUpdatedBy()))
            && (this.getUpdatedOn() == null ? other.getUpdatedOn() == null : this.getUpdatedOn().equals(other.getUpdatedOn()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserName() == null) ? 0 : getUserName().hashCode());
        result = prime * result + ((getTopicRespId() == null) ? 0 : getTopicRespId().hashCode());
        result = prime * result + ((getTopicRespName() == null) ? 0 : getTopicRespName().hashCode());
        result = prime * result + ((getCreatedBy() == null) ? 0 : getCreatedBy().hashCode());
        result = prime * result + ((getCreatedOn() == null) ? 0 : getCreatedOn().hashCode());
        result = prime * result + ((getUpdatedBy() == null) ? 0 : getUpdatedBy().hashCode());
        result = prime * result + ((getUpdatedOn() == null) ? 0 : getUpdatedOn().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", userName=").append(userName);
        sb.append(", topicRespId=").append(topicRespId);
        sb.append(", topicRespName=").append(topicRespName);
        sb.append(", createdBy=").append(createdBy);
        sb.append(", createdOn=").append(createdOn);
        sb.append(", updatedBy=").append(updatedBy);
        sb.append(", updatedOn=").append(updatedOn);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}